# Query Usage-based Billing - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/basic-query-usage-based-billing

# Query Usage-based Billing

GET

/

openapi

/

v1

/

billing

/

bill

/

list

Try it

```
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/list?cycleType=Day&productCategory=llm&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer '
```

200

```
{
"bills": [
{
"userId": "",
"startTime": "1764547200",
"endTime": "1764633599",
"billingMethod": 1,
"productName": "",
"category": "llm",
"ownerID": "",
"billNum0": "1000",
"billNum1": "500",
"basePrice0": "0",
"basePrice1": "0",
"discountPrice0": "0",
"discountPrice1": "0",
"amount": "10000",
"voucherAmount": "0",
"payAmount": "10000",
"payAmountDisplay": 1,
"pricePrecision": 1,
"productId": ""
}
]
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-cycle-type)

cycleType

string

required

Billing cycle granularity. Options: `Hour`, `Day`, `Week`, `Month`.

[​](#param-product-category)

productCategory

string

required

Product type. Common values:

- `summary` (Summary bill)

- `gpu` (GPU instance)

- `llm` (LLM API)

- `serverless` (Serverless Endpoint)

- `cloud_storage` (Storage resources)

- `gen_api` (Image/Video/Audio generation)

- `cloud_sandbox` (Agent Sandbox)

- `llm_dedicated_endpoint` (LLM Dedicated Endpoint)

- `web_search` (Web Search)

- `bare_metal` (Bare Metal)

[​](#param-product-name)

productName

string

Product name. Supports fuzzy matching.

[​](#param-category)

category

string

Product subcategory.

[​](#param-start-time)

startTime

integer

Start time of the billing period to query, Unix timestamp in seconds (int64).

[​](#param-end-time)

endTime

integer

End time of the billing period to query, Unix timestamp in seconds (int64).

[​](#param-owner-id)

ownerId

string

Resource instance ID.

This endpoint does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.

##

[​](#response-parameters)

Response Parameters

[​](#param-bills)

bills

object[]

required

Pay-as-you-go bill list.

Hide properties

[​](#param-user-id)

userId

string

required

User account ID.

[​](#param-start-time-1)

startTime

string

required

Bill start time, Unix timestamp in seconds.

[​](#param-end-time-1)

endTime

string

required

Bill end time, Unix timestamp in seconds.

[​](#param-billing-method)

billingMethod

int32

required

Billing method: `1` (pay-as-you-go), `2` (subscription).

[​](#param-product-name-1)

productName

string

required

Product name.

[​](#param-category-1)

category

string

required

Product type or subcategory.

[​](#param-owner-id)

ownerID

string

required

Resource instance ID.

[​](#param-product-id)

productId

string

required

Product ID.

[​](#param-bill-num0)

billNum0

string

required

Usage field 0. Meaning varies by product type:

- `llm`: input tokens.

- `gpu`: number of cards × billing duration.

- `cloud_storage`: storage capacity × billing duration.

- `serverless`: sum of worker count × duration.

[​](#param-bill-num1)

billNum1

string

required

Usage field 1. For `llm`, this usually means output tokens.

[​](#param-bill-num2)

billNum2

string

required

Usage field 2. For `llm`, this usually means read cache tokens.

[​](#param-bill-num3)

billNum3

string

required

Usage field 3. For `llm`, this usually means write 5-minute cache tokens.

[​](#param-bill-num4)

billNum4

string

required

Usage field 4. For `llm`, this usually means output reasoning tokens. Currently not supported.

[​](#param-bill-num5)

billNum5

string

required

Usage field 5. For `llm`, this usually means write 1-hour cache tokens.

[​](#param-bill-num6)

billNum6

string

Usage field 6.

[​](#param-bill-num7)

billNum7

string

Usage field 7.

[​](#param-bill-num8)

billNum8

string

Usage field 8.

[​](#param-bill-num9)

billNum9

string

Usage field 9.

[​](#param-bill-num10)

billNum10

string

Usage field 10.

[​](#param-bill-num11)

billNum11

string

Usage field 11.

[​](#param-bill-num12)

billNum12

string

Usage field 12.

[​](#param-bill-num13)

billNum13

string

Usage field 13.

[​](#param-bill-num14)

billNum14

string

Usage field 14.

[​](#param-bill-num15)

billNum15

string

Usage field 15.

[​](#param-base-price0)

basePrice0

string

required

Original price field 0.

- `llm`: input price per 1M tokens.

- `gpu`: price per card per hour.

- `cloud_storage`: price per GB per day.

[​](#param-base-price1)

basePrice1

string

required

Original price field 1. For `llm`, this usually means the output price per 1M tokens.

[​](#param-base-price2)

basePrice2

string

required

Original price field 2. For `llm`, this usually means the read cache price per 1M tokens.

[​](#param-base-price3)

basePrice3

string

required

Original price field 3. For `llm`, this usually means the write 5-minute cache price per 1M tokens.

[​](#param-base-price4)

basePrice4

string

required

Original price field 4. For `llm`, this usually means the reasoning token price per 1M tokens.

[​](#param-base-price5)

basePrice5

string

required

Original price field 5. For `llm`, this usually means the write 1-hour cache price per 1M tokens.

[​](#param-discount-price0)

discountPrice0

string

required

Discounted price field 0.

- `llm`: discounted input price per 1M tokens.

- `gpu`: discounted price per card per hour.

- `cloud_storage`: discounted price per GB per day.

[​](#param-discount-price1)

discountPrice1

string

required

Discounted price field 1. For `llm`, this usually means the discounted output price per 1M tokens.

[​](#param-discount-price2)

discountPrice2

string

required

Discounted price field 2. For `llm`, this usually means the discounted read cache price per 1M tokens.

[​](#param-discount-price3)

discountPrice3

string

required

Discounted price field 3. For `llm`, this usually means the discounted write 5-minute cache price per 1M tokens.

[​](#param-discount-price4)

discountPrice4

string

required

Discounted price field 4. For `llm`, this usually means the discounted reasoning token price per 1M tokens.

[​](#param-discount-price5)

discountPrice5

string

required

Discounted price field 5. For `llm`, this usually means the discounted write 1-hour cache price per 1M tokens.

[​](#param-amount)

amount

string

required

Total amount, unit is 1/10000 USD.

[​](#param-voucher-amount)

voucherAmount

string

required

Amount deducted by vouchers, unit is 1/10000 USD.

[​](#param-pay-amount)

payAmount

string

required

Cash payment amount, unit is 1/10000 USD.

[​](#param-pay-amount-display)

payAmountDisplay

float

required

Display value of cash payment amount, in USD.

[​](#param-price-precision)

pricePrecision

int32

required

Price precision. Unit price (USD) = unit price / 10000 / `pricePrecision`.

[​](#param-llm-series)

llmSeries

string

LLM series.

[​](#param-request-count)

requestCount

string

Request count.

[​](#param-multimodal-pricing)

multimodalPricing

object

Multimodal model billing details.

[​](#param-tiered-config)

tieredConfig

object

Tiered billing configuration.

```
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/list?cycleType=Day&productCategory=llm&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer '
```

200

```
{
"bills": [
{
"userId": "",
"startTime": "1764547200",
"endTime": "1764633599",
"billingMethod": 1,
"productName": "",
"category": "llm",
"ownerID": "",
"billNum0": "1000",
"billNum1": "500",
"basePrice0": "0",
"basePrice1": "0",
"discountPrice0": "0",
"discountPrice1": "0",
"amount": "10000",
"voucherAmount": "0",
"payAmount": "10000",
"payAmountDisplay": 1,
"pricePrecision": 1,
"productId": ""
}
]
}
```

Last modified on June 2, 2026
